//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.0
//         
//                                HTMLBodyElement Interface
//**************************************************************************

function HTMLBodyElement()
{
   var tests = new Array (HTML0001HBE(),HTML0002HBE(),HTML0003HBE(),HTML0004HBE(),HTML0005HBE(),HTML0006HBE());
   return tests;
}

//------------------------ test case HTML-0001HBE ------------------------
//
// Testing feature - The "aLink" attribute of an HTMLBodyElement interface.
//
// Testing approach - Retrieve the "aLink" attribute from the BODY element 
//                    of the testing document and examine its value.
//
// Semantic Requirements: 1
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HBE()
 {
   var computedValue = "";
   var expectedValue = "#0000FF";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HBE");
    results.description = "The \"aLink\" attribute of an HTMLBodyElement "+
                          "interface";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BODY);
//
// and access its "aLink" attribute.
//
      computedValue = testNode.node.aLink;
      computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HBE -------------------------
//
//-------------------------- test case HTML-0002HBE ---------------------------
//
// Testing feature - The "background" attribute of an HTMLBodyElement 
//                   interface.
//
// Testing approach - Retrieve the "background" attribute from the BODY 
//                    element of the testing document and examine its value.
//
// Semantic Requirements: 2 
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HBE()
 {
   var computedValue = "";
   var expectedValue = "./PIX/BACK1.GIF";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HBE");
    results.description = "The \"background\" attribute of the "+
                          "HTMLBodyElement interface";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BODY);
//
// and access its "background" attribute.
//
      computedValue = testNode.node.background;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue; 
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HBE -------------------------
//
//-------------------------- test case HTML-0003HBE ---------------------------
//
// Testing feature - The "bgColor" attribute of an HTMLBodyElement
//                   interface.
//
// Testing approach - Retrieve the "bgColor" attribute from the BODY
//                    element of the testing document and examine its value.
//
// Semantic Requirements: 3 
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0003HBE()
 {
   var computedValue = "";
   var expectedValue = "#FFFF00";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HBE");
    results.description = "The \"bgColor\" attribute of the "+
                          "HTMLBodyElement interface.";
//
// Retrieve targeted data.
//
     testNode = new HTMLNodeObject(BODY);
//
// and access its "bgColor" attribute.
//
      computedValue = testNode.node.bgColor;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0003HBE -------------------------
//
//-------------------------- test case HTML-0004HBE ---------------------------
//
// Testing feature - The "link" attribute of an HTMLBodyElement
//                   interface.
//
// Testing approach - Retrieve the "link" attribute from the BODY
//                    element of the testing document and examine its value.
//
// Semantic Requirements: 4 
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0004HBE()
 {
   var computedValue = "";
   var expectedValue = "#FF0000";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0004HBE");
    results.description = "The \"link\" attribute of the "+
                          "HTMLBodyElement interface";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BODY);
//
// and access its "link" attribute.
//
      computedValue = testNode.node.link;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0004HBE -------------------------
//
//-------------------------- test case HTML-0005HBE ---------------------------
//
// Testing feature - The "text" attribute of an HTMLBodyElement interface.
//
// Testing approach - Retrieve the "text" attribute from the BODY
//                    element of the testing document and examine its value.
//
// Semantic Requirements: 5 
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0005HBE()
 {
   var computedValue = "";
   var expectedValue = "#000000";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0005HBE");
    results.description = "The \"text\" attribute of the "+
                          "HTMLBodyElement interface";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BODY);
//
// and access its "text" attribute.
//
      computedValue = testNode.node.text;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0005HBE -------------------------
//
//--------------------------- test case HTML-0006HBE ---------------------------
//
// Testing feature - The "vLink" attribute of an HTMLBodyElement
//                   interface.
//
// Testing approach - Retrieve the "vLink" attribute from the BODY
//                    element of the testing document and examine its value.
//
// Semantic Requirements: 6 
//
// Last modification date - July 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0006HBE()
 {
   var computedValue = "";
   var expectedValue = "#00FFFF";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0006HBE");
    results.description = "The \"vLink\" attribute of the "+
                          "HTMLBodyElement interface";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(BODY);
//
// and access its "vLink" attribute.
//
      computedValue = testNode.node.vLink;
      computedValue = computedValue.toUpperCase();
//
// Write out results
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0006HBE -------------------------
