//**************************************************************************
//
//
//                       National Institute Of Standards and Technology
//                                    DTS Version 1.1
//         
//                              HTMLParamElement Interface
//**************************************************************************

function HTMLParamElement()
{
   var tests = new Array (HTML0001HPAE(),HTML0002HPAE(),HTML0003HPAE());
   return tests;
}

//------------------------ test case HTML-0001HPAE -------------------------
//
// Testing feature - The "name" attribute specifies the name of the 
//                   run-time parameter.
//
// Testing approach - Retrieve the "name" attribute from the first 
//                    PARAM element of the testing document and examine 
//                    its value. It should be equal to "width".
//
// Semantic Requirements: 1
//
// Last modification date - September 21, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0001HPAE()
 {
   var computedValue = "";
   var expectedValue = "WIDTH";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0001HPAE");
    results.description = "The \"name\" attribute specifies the "+
                          "name of the run-time attribute.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(PARAM,FIRST);
//
// and access its "name" attribute.
//
//      computedValue = testNode.node.name;
        computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0001HPAE -------------------------
//
//------------------------   test case HTML-0002HPAE   -------------------------
//
// Testing feature - The "value" attribute specifies the value of 
//                   the run-time parameter.
//
// Testing approach - Retrieve the "value" attribute from the first 
//                    PARAM element of the testing document and examine 
//                    its value. It should be equal to 500.
//
// Semantic Requirements: 2 
//
// Last modification date - September 24, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0002HPAE()
 {
   var computedValue = "";
   var expectedValue = "500";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0002HPAE");
    results.description = "The \"value\" attribute specifies the "+
                          "the value of the run-time parameter.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(PARAM,FIRST);
//
// and access its "value" attribute.
//
//      computedValue = testNode.node.value;
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0002HPAE -------------------------
//
//------------------------   test case HTML-0003HPAE   -------------------------
//
// Testing feature - The "valueType" attribute specifies information 
//                   about the meaning of the value specified by the
//                   value attribute.
//
// Testing approach - Retrieve the "valueType" attribute from the first 
//                    PARAM element of the testing document and examine 
//                    its value. It should be equal to "data".
//
// Semantic Requirements: 3 
//
// Last modification date - September 24, 1999
//
// Written by: Carmelo Montanez
//----------------------------------------------------------------------------

 function HTML0003HPAE()
 {
   var computedValue = "";
   var expectedValue = "data";
   var results = "";
   var testNode = "";

    results = new testResults("HTML0003HPAE");
    results.description = "The \"valueType\" attribute specifies "+
                          "information about the meaning of the "+
                          "value specified by the \"value\" attribute.";
//
// Retrieve targeted data.
//
      testNode = new HTMLNodeObject(PARAM,FIRST);
//
// and access its "valueType" attribute.
//
//      computedValue = testNode.node.valueType;
        computedValue = computedValue.toUpperCase();
//
// Write out results 
//
      results.expected = expectedValue;
      results.actual = computedValue;

    return results;
}

//------------------------ End test case HTML-0003HPAE -------------------------
